{{ if isset page.Params "files" }}
<div class="outer-downloads">
    <div class="inner-downloads">
        <input id="download-box" type="checkbox" class="dl-menu"/>
        <label for="download-box">
            <h4 id="downloads">
                Downloads:
                <button class="dl-menu"/>
            </h4>
        </label>
        {{ range .Params.files }}
        {{ $url := "" }}
        {{ $filename := "" }}
        {{ $filetype := "" }}
            {{ if gt (len .) 2 }}
                {{ $url = . }}
                {{ $urlsegments := split $url "/" }}
                {{ $filename = index $urlsegments ( sub (len $urlsegments) 1 ) }}
                {{ $filetype = index (last 1 (split $filename ".")) 0 }}
            {{ else if gt (len .) 1 }}
                {{ $filename = index . 0 }}
                {{ $url = index . 1 }}
                {{ $urlsegments := split $url "/" }}
                {{ $filetype = index (last 1 (split (index $urlsegments ( sub (len $urlsegments) 1 )) ".")) 0 }}
            {{ else }}
                {{ $url = index . 0 }}
                {{ $urlsegments := split $url "/" }}
                {{ $filename = index $urlsegments ( sub (len $urlsegments) 1 ) }}
                {{ $filetype = index (last 1 (split $filename ".")) 0 }}
            {{ end }}
            {{ $icon := "" }}
            {{ if resources.GetMatch (printf "/icons/%s.svg" $filetype) }}
                {{ $icon = resources.Get (printf "/icons/%s.svg" $filetype) }}
                <span class="download-link">
                    <a href="{{ $url }}" class="icon-h">
                        <img src="{{ $icon.RelPermalink }}" alt-text="{{ $filetype }}:"></img>
                        <span>{{ $filename }}</span>
                    </a>
                </span>
            {{ else }}
                <span class="download-link">
                    <a href="{{ $url }}">
                        {{ $filetype }}: {{ $filename }}
                    </a>
                </span>
            {{ end }}
        {{ end }}
    </div>
</div>
{{ end }}

